﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace modbusrtu_master_tm
{
    public partial class frmInputValue : Form
    {
        public frmInputValue()
        {
            InitializeComponent();
        }

        public double Value
        {
            set
            {
                this.tbValue.Text = value.ToString();
            }
            get { return Convert_To_Double(this.tbValue.Text); }
        }

        public string StringValue
        {
            set
            {
                this.tbValue.Text = value;
            }
            get
            {
                return this.tbValue.Text;
            }
        }
        private double Convert_To_Double(string sKey)
        {
            if (sKey == "")
                sKey = "0";
            return double.Parse(sKey);
        }

        private void frmInputValue_Load(object sender, EventArgs e)
        {

        }

        private void Num_Click(object sender, EventArgs e)
        {
            tbValue.Text = tbValue.Text + ((Button)sender).Tag;
        }

        private void btcommon_Click(object sender, EventArgs e)
        {
            if (tbValue.Text.IndexOf(".") < 0)
                tbValue.Text += ".";
        }

        private void btdel_Click(object sender, EventArgs e)
        {
            if (tbValue.Text.Length > 0)
            tbValue.Text = tbValue.Text.Substring(0, tbValue.Text.Length -1);
        }

        private void btMinus_Click(object sender, EventArgs e)
        {
            if(Convert_To_Double(tbValue.Text) > 0)
                tbValue.Text = (Convert_To_Double(tbValue.Text) * (-1)).ToString();
        }

        private void btPlus_Click(object sender, EventArgs e)
        {
            if (Convert_To_Double(tbValue.Text) < 0)
                tbValue.Text = (Convert_To_Double(tbValue.Text) * (-1)).ToString();
        }

        private void btClr_Click(object sender, EventArgs e)
        {
            tbValue.Text = "";
        }

        private void btOK_Click(object sender, EventArgs e)
        {

        }

        private void btCancel_Click(object sender, EventArgs e)
        {

        }
    }
}
